Subject: Re: [PATCH 0/3] Update WPEWebkit to 2.34.3

From: Leo Famulari <[email-masked]>
Date: Sat, 29 Jan 2022 16:42:32 -0500

I pushed these patches as 07f45615c3600dd1405349a4f7c775394fbfd40d

Normally I don't push patches for other committers but this is security
sensitive.

On Sun, Jan 16, 2022 at 08:29:03PM +0100, Liliana Marie Prikler wrote:
> I'm fine with turning the wpebackend-fdo patch into a graft, I just
> didn't notice the dependency.

I don't think a graft is necessary in this case.

> Great, so we got WebkitGTK working, meaning we only need to disable
> SSE2 outside of x86-64.  I checked the file mentioned in webkitgtk's
> disable-sse2 phase, and it seems wpewebkit mirrors that.  So if I read
> this correctly you only need to copypasta your old code.

I'm not sure what old code of mine you were referring to. In any
case, wpewebkit doesn't build for us on i686-linux, so there can't be a
regression there:

https://ci.guix.gnu.org/search?query=spec%3Amaster+system%3Ai686-linux+wpewebkit